API Reference2026-02-18 (Latest)Merchants

Get a merchant

GET
/v1/merchants/{merchantId}

Authorization

headerApi-Key<token>

Path Parameters

merchantId*string

Response Body

Merchant details

application/json
  1. response
merchant*
curl -X GET 'https://api.pay.walletconnect.com/v1/merchants/string'
{  "merchant": {    "id": "mrch_7kBz2qR9xPvLmN4Yw",    "name": "Acme Store",    "email": "billing@acme.store",    "status": "active",    "iconUrl": "https://imagedelivery.net/example/acme-icon.png",    "createdAt": "2025-06-15T10:30:00.000Z",    "settlements": {      "crypto": [        {          "id": "crypto_Xk7nWp8XmQj2YrTv6",          "asset": "eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",          "destination": "eip155:8453:0x1234567890abcdef1234567890abcdef12345678"        }      ],      "fiat": [        {          "id": "fiat_Bk4nWp8XmQj2YrTv6",          "status": "active",          "bankType": "ACH"        }      ]    }  }}